#include "classicmode/classicnote.h"

ClassicNote::ClassicNote(const kku::microsec& perfect_offset) :
    Note(perfect_offset),
    _state(State::NONE)
{}

void ClassicNote::setState(ClassicNote::State state) noexcept
{
    _state = state;
}

auto ClassicNote::getState() const noexcept -> State
{
    return _state;
}
